body{
	color: #5B5B5B;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
}

a:hover{
	text-decoration: none !important;
}

.btn-primary{
	color: white;
	border-radius: 20px;
	width: 100px;
	background-color: #AAE5FF;
	border: none;
}

.btn-primary:hover, .btn-primary:active, .btn-primary:focus{
	background-color: #4FCAFF;
}

.welcome-top{
	background:linear-gradient(180deg, #4FCAFF 42.81%, #008BC8 147.39%);
	padding: 150px 200px;
	border: none;
}

.judul{
	color: white;
	font-weight: normal !important;
	font-style: normal !important;
}

.form-login{
	position: absolute;
	color: #5B5B5B;
	background-color: white;
	width: 100%;
	height: 400px;
	text-align: center;
	padding: 50px 50px 150px 50px;
	border-radius: 5px;
	box-shadow: 0px 4px 8px rgba(3, 3, 3, 0.15);
}

.form-login button{
	width: 100%;
	margin-top: 30px;
	background-color: #4FCAFF;
	border: none;
}

.form-login input{
	margin: 25px 0px;
	border: 0px;
	border-bottom: 0.5px solid #5B5B5B;
	border-radius: 0px;
}

.form-login input:focus, .form-login button:focus{
	outline: none;	
	box-shadow: none;
}

.form-login button:hover{
	background-color: #2BADE6;
}

.form-login h3{
	font-size: 25px;
}

/*navbar*/
nav{
	height: 80px;
	font-size: 18px;
	color: white !important;
	font-weight: 500;
	padding: 0px 85px !important;
}

.dropdown .dropdown-toggle{
	color: white !important;
}

nav button{
	background-color: transparent;
	border: none;
}

nav button:focus, nav button:active{
	outline: none !important;	
	box-shadow: none !important;
}

.dropdown-menu{
	border-radius: 0px;
	border: none;
	box-shadow:0px 0px 40px rgba(79, 202, 255, 0.3)
}

.navbar-right{
	float: right;
}

.bg-primary{
	background-color: #4FCAFF !important;
}

.user{
	padding: 15px;
}

.dropdown-item img, .user p{
	margin: 0px 10px;
	font-weight: 300;
	font-size: 15px;
}

.history-absence{
	margin: 100px auto !important;
	width: 50% !important;
}

.history-absence button{
	border-radius: 5px;
}

/*end navbar*/

/*sidebar*/
#sidebar-wrapper {
	min-height: 100vh;
	margin-left: -15rem;
	-webkit-transition: margin .25s ease-out;
	-moz-transition: margin .25s ease-out;
	-o-transition: margin .25s ease-out;
	transition: margin .25s ease-out;
}

#sidebar-wrapper .sidebar-heading {
	padding: 0.875rem 1.25rem;
	font-size: 1.2rem;
}

#sidebar-wrapper .list-group {
	width: 15rem;
}

#page-content-wrapper {
	min-width: 100vw;
}

#wrapper.toggled #sidebar-wrapper {
	margin-left: 0;
}

.list-group{
	margin-top: 30px;
}

.list-group a{
	border: 0px !important;
	font-size: 15px;
	font-weight: 600 !important;
}

.list-group img{
	margin: 2px 10px;
}
/*end sidebar*/

/*dashboard*/
.d-flex{
	float: left;
}

.title{
	margin: 20px 0px;
}

.title h2{
	font-size: 20px;
}

.banner{
	box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
	border-radius: 3px;
	padding: 20px 20px;
	margin: 30px 0px;
}

.banner p{
	width: 30%;
	padding: 20px 0px;
}

.table{
	text-align: center;
	width: 65%;
	float: left;
	margin: 20px; 
}

.deadline-modul{
	color: #E07171;
	width: 30%;
	float: left;
	margin: 20px 0px;
	text-align: center;
	box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.25);
}

.deadline-modul .body{
	padding: 20px;
}

.deadline-modul .body img{
	vertical-align: top;
}

.deadline-modul h3{
	font-size: 17px;
}

.deadline-modul .header{
	background-color: #E07171;
	color: white;
	padding: 7px 0px 2px 0px;
}

.deadline-modul .detail{
	display: inline-block;
}


.hari, .jam, .menit{
	display: inline-block;
	padding: 2px 7px;
}

/*end dashboar*/

/*inputnilai*/
.modul-btn{
	border-radius: 50px;
	color: white;
	background-color: #DDDDDD;
	border:none;
	margin: 15px 5px;
	font-size: 12px;
	display: inline-block;
}

.modul-btn:hover{
	color: white;
}

.modul .active{
	background-color: #AAE5FF !important;
	color: white !important;
}

.inputtable-container{
	width: 100%;
	text-align: left;
}

.input-table{
	margin: 0px;
	width: 100%;
	height: 100%;
	font-size: 15px;
	font-weight: 500;
}

.input-table tr{
	height: 60px;
}

.input-table th{
	background-color: #AAE5FF;
}

.input-table th, .input-table td{
	padding-left: 20px;
	border-top: 1px solid #dee2e6;
}

.input-table .input{
	text-align: center;
}

.form-nilai{
	margin: auto;
	width: 60px;
	height: 30px;
}

.btn-save{
	float: right;
	margin: 20px;
}

.search{
	float: right;
	display: inline-block;
}

.search-input{
	margin: 15px 5px;
	border: 1px solid #dee2e6;
	border-radius: 20px;
	height: 30px;
	width: 180px;
	font-weight: 100;
	font-size: 15px;
}

/*end inputnilai*/

/*token*/
.token-container{
	margin: auto;
	text-align: center;
	padding: 70px;
}

.token{
	font-size: 130px;
	font-weight: 300;
}

.token-container hr{
	width: 40%;
}

.token-container h2{
	font-size: 30px;
}

.token-container h4{
	font-size: 20px;
	font-weight: 300;
}

.btn-token{
	margin: 20px;
	width: 120px;
	border-radius: 10px;
}

/*student profile*/

.sp_center{
	text-align:center;
}


/*-----------praktikan--------------*/
/*dashboard*/

.referensi div{
	margin: 20px 0px;
}

.video-ref{
	height: 100%;
	min-height: 66vh;
	float: right;
}

.modul-ref{
	height: 100%;
	box-shadow: 0px 4px 4px rgba(79, 202, 255, 0.3);
	min-height: 50vh;
	float: left;
}

.modul-ref iframe, .video-ref iframe{
	width: 90%;
	height: 50vh;
	overflow: hidden;
}

.modul-ref button{
	width: 200px;
	margin: 10px;
	text-align: center;
}

.see-more{
	clear: both;
	text-align:center;
	font-weight: 500;
}

.kolom-feedback{
	border: 1px solid #F4F4F4;
	box-sizing: border-box;
	border-radius: 3px;
	padding: 30px;
	margin: 20px 0px;
}

.alay{
	position: absolute;
	width: 20%;
	background-color: white;
	text-align: center;
	margin-left:20px;
}

.form-feedback{
	margin:-25px 0px 0px 0px;
}

.form-feedback input{
	margin: 25px 0px;
	border: 0px;
	border-bottom: 0.5px solid #5B5B5B;
	border-radius: 0px;
	display: inline;
	width: 85%;
}

.form-feedback button{
	display: inline;
}

.form-feedback input:focus, .form-feedback button:focus, .form-feedback select:focus{
	outline: none;	
	box-shadow: none;
}

/*input token*/
.inputtoken-container{
	box-shadow: 0px 4px 4px rgba(79, 202, 255, 0.3);
	border-radius: 3px;
	margin: 50px 20%;
	text-align: center;
	padding: 70px;
}

/*tesawal*/
.tesawal-container{
	margin: 50px 0px;
}

.soal-tesawal{
	height: 100vh;
	float: left;
}

.soal-tesawal iframe{
	height: 100vh;
	width: 100%;
}

.jawaban-tesawal{
	float: right;
}

.jawaban-tesawal ul li {
	margin: 0px 0px 0px 20px;
	font-size: 15px;
	font-weight: 500;
}

.jawaban-tesawal .time{
	font-size: 25px;
	color: #E07171;
	margin-left: 0px !important;
}

.jawaban-tesawal select{
	border: none;
}

.jawaban-tesawal select:active,.jawaban-tesawal select:focus{
	box-shadow: none;
	border: none;
}

.jawaban-tesawal table td{
	border-top: none;
}

.jawaban-tesawal input{
	width: 20px;
	border: 20px solid black;
}

.images-random svg{ 
	margin: 40px 160px;
	height: 400px;
	width: auto;
}

.absense-option{
	width: 40%;
	margin: auto;
	margin-bottom: 20px;
}

@media (min-width: 768px) {
	#sidebar-wrapper {
		margin-left: 0;
	}

	#page-content-wrapper {
		min-width: 0;
		width: 100%;
	}

	#wrapper.toggled #sidebar-wrapper {
		margin-left: -15rem;
	}
}

@media (max-width: 900px) {

	.welcome-top{
		padding: 50px 20px !important;
		text-align: center;
		margin: 0px;
	}

	.images-random{
		display: none;
	}

	.judul h1{
		font-size: 50px;
		word-wrap: break-word;
	}

	.form-login{
		position: relative;
	}
}